ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Driver.Config

Description

Subsystem configuration

Synopsis

- initOptCoercionOpts :: DynFlags -> OptCoercionOpts
- initSimpleOpts :: DynFlags -> SimpleOpts
- initEvalOpts :: DynFlags -> EvalStep -> EvalOpts
- data EvalStep
  - = EvalStepSingle
  - | EvalStepOut
  - | EvalStepNone

# Documentation

initOptCoercionOpts :: DynFlags -> OptCoercionOpts #

Initialise coercion optimiser configuration from DynFlags

initSimpleOpts :: DynFlags -> SimpleOpts #

Initialise Simple optimiser configuration from DynFlags

initEvalOpts :: DynFlags -> EvalStep -> EvalOpts #

Extract GHCi options from DynFlags and step

data EvalStep #

Instruct the interpreter evaluation to break...

Constructors

EvalStepSingle | ... at every breakpoint tick
EvalStepOut | ... after any evaluation to WHNF (See Note [Debugger: Step-out])
EvalStepNone | ... only on explicit breakpoints